[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# IReadWriteSync.EndWrite

End a write operation.

## Declaration

Source position: systhrdh.inc line 21

`procedure IReadWriteSync.EndWrite;`

## Description

EndWrite signals the end of a write operation. After the call to EndWrite any other read or write operations can start.

## See also

IReadWriteSync.EndRead |  | End a read operation
IReadWriteSync.EndWrite |  | End a write operation.
IReadWriteSync.BeginRead |  | Start a read operation.

Documentation generated on: Feb 26 2014